Summary: Graphical file management program in GTK+ for Linux
Name: gentoo
Version: 0.20.6
Release: 3%{?dist}
License: GPLv2
Group: Applications/File
URL: http://www.obsession.se/gentoo/
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: gentoo.desktop
# icons/gentoo.png is not within standard sizes
# Get here http://www.obsession.se/gentoo/gfx/logo.png (not in sources)
Source2: gentoo.png
# to generate debuginfo properly
Patch0: %{name}-0.15.2-cflags.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk3-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils

%description
gentoo is a file manager for Linux written from scratch in pure C. It
uses the GTK3 toolkit for all of its interface needs. gentoo provides
100%% GUI configurability; no need to edit config files by hand and re-
start the program. gentoo supports identifying the type of various
files (using extension, regular expressions, and/or the 'file' command),
and can display files of different types with different colors and icons.
gentoo borrows some of its look and feel from the classic Amiga
file manager "Directory OPUS"(TM) (written by Jonathan Potter).

%prep
%setup -q
%patch0 -p1

# Don't define GTK_DISABLE_DEPRECATED since GtkComboBoxEntry is deprecated in
# GTK 2.23
sed -i -e '/GTK_DISABLE_DEPRECATED/d' configure

%build
%configure --disable-dependency-tracking
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%find_lang %{name}

# Included man page, not installed by default
%{__install} -D -p -m 0644 docs/gentoo.1x %{buildroot}%{_mandir}/man1/gentoo.1

# Don't install the man page again in %doc
%{__rm} docs/gentoo.1x

# Our own desktop entry, with its icon
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{_datadir}/applications/gentoo.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/gentoo.desktop

%{__install} -D -p -m 0644 %{SOURCE2} \
    %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/gentoo.png

%clean
%{__rm} -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS BUGS ChangeLog CONFIG-CHANGES COPYING CREDITS docs/
%doc NEWS README* TODO
%config %{_sysconfdir}/gentoo*
%{_bindir}/gentoo
%{_datadir}/applications/gentoo.desktop
%{_datadir}/gentoo/
%{_datadir}/icons/hicolor/64x64/apps/gentoo.png
%{_mandir}/man1/gentoo.1*

%changelog
* Sat Oct 31 2015 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.6-3
- Rebuild for Fedora 23

* Fri May 29 2015 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.6-2
- Rebuild for Fedora 22

* Fri Jan 23 2015 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.6-1
- Update to 0.20.6

* Mon Jan 20 2015 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.5-1
- Update to 0.20.5

* Mon Jan 20 2015 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.4-4
- Fixed icon

* Mon Jan 19 2015 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.4-3
- Rebuild for Fedora 21

* Sat Dec  7 2013 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.4-2
- Rebuild for Fedora 20

* Wed Nov  6 2013 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.4-1
- Update to 0.20.4

* Tue Aug 27 2013 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.3-1
- Update to 0.20.3

* Wed Jul 24 2013 Matthias Haase <matthias_haase@bennewitz.com> - 0.20.1-1
- Update to 0.20.1
- BuildRequires updated to gtk3

* Wed Jun 19 2013 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.13-7
- Rebuild for Fedora 19

* Sun Feb  3 2013 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.13-6
- desktop file fixed

* Thu Jan 17 2013 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.13-5
- Rebuild for Fedora 18

* Wed May 30 2012 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.13-4
- Rebuild for Fedora 17

* Fri Apr 13 2012 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.13-2
- Update to 0.19.13

* Sat Nov 19 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.12-3
- Cosmetic rebuild

* Sat Nov 19 2011 Endur <matthias_haase@bennewitz.com> - 0.19.12-3
-  Rebuild for Fedora 16

* Wed Oct  5 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.12-2
- Update to 0.19.12

* Sun Sep  4 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.11-2
- Update to 0.19.11

* Wed Jun 15 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.10-2
- Update to 0.19.10

* Fri May 27 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.9-4
- Rebuild for Fedora 15
- Included changes of Robin Lee (external icon and desktop file)
- Fix for deprecated GtkComboBoxEntry
- Patch to remove duplicated translations removed

* Thu Feb 10 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.9-2
- Update to 0.19.9

* Thu Jan  6 2011 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.8-2
- Update to 0.19.8 

* Tue Dec 21 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.7-2
- Update to 0.19.7

* Fri Nov 26 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.6-2
- Update to 0.19.6

* Mon Nov 15 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.5-2
- Update to 0.19.5

* Fri Oct 29 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.4-2
- Rebuild for Fedora 14

* Sun Oct 24 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.4-1
- Update to 0.19.4

* Sun Oct 17 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.3-2
- Update to 0.19.3
- DSO linking patch removed
- make DESTDIR=%{buildroot} install used instead of the %makeinstall macro
- gettext added to BR

* Mon Oct 11 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.2-3
- DSO linking patch added, LDFLAGS="-lm" dropped
- warnings of rpmlint are fixed

* Thu Oct  7 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.2-2
- changed to LDFLAGS="-lm" because math lib the only one requirement

* Wed Oct  6 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.19.2-1
- Update to 0.19.2
- deprecated-gtk-macro-ftbfs.patch removed
- LDFLAGS="-lX11 -lm" added as a quick fix for DSO linking error

* Wed May 26 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.15.6-5
- cflags.patch added

* Wed May 26 2010 Matthias Haase <matthias_haase@bennewitz.com> - 0.15.6-4
- Rebuild for Fedora 13
- deprecated-gtk-macro-ftbfs.patch added

* Thu Nov 12 2009 Matthias Haase <matthias_haase@bennewitz.com> - 0.15.6-3
- Rebuild for Fedora 12

* Mon Jul 13 2009 Matthias Haase <matthias_haase@bennewitz.com> - 0.15.6-2
- Update to 0.15.6 

* Sat Jun 13 2009 Matthias Haase <matthias_haase@bennewitz.com> - 0.15.5-2
- Update to 0.15.5

* Thu Apr 30 2009 Matthias Haase <endur@thinkpad.local> - 0.15.4-2
- Update to 0.15.4

* Thu Mar 26 2009 Matthias Haase <endur@thinkpad.local> - 0.15.3-2
- Update to 0.15.3

* Sat Mar 14 2009 Matthias Haase <matthias_haase@bennewitz.com> - 0.15.2-3
- Update to 0.15.2 - Emils gtk2 port

* Fri Nov 28 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.56-8
- Rebuild for Fedora 10

* Mon May 19 2008 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.56-7
- Rebuild for Fedora 9 

* Sun Nov 11 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.56-6
- Rebuild for Fedora 8
- Category changed to system
- Icon name without suffix for desktop file

* Sun Jun 3 2007 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.56-5
- Rebuild for Fedora 7
- Categories changed - application removed to match desktop entry specification
- fam is still disabled - gamin segfaults
- Desktop database update added 

* Sat Oct 28 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.56-3
- Increased release, rebuild for Fedora Core 6
- fam is still disabled
- icon changed to default

* Thu Sep 21 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.56-2
- Update to 0.11.56
- pomkinstalldirs.patch removed

* Fri Mar 24 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.55-6
- Increased release, rebuild for Fedora Core 5

* Sun Mar  5 2006 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.55-5
- dist tag added 

* Fri Jun 17 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.55-4
- fam is disabled again

* Thu Jun 15 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.55-3
- Update to 0.11.55
- Rebuild for Fedora Core 4

* Thu Jun 14 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.55-2
- Update to 0.11.55
- Rebuild against gamin 0.1.1

* Thu Feb 24 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.54-3
- Rebuild against gamin 0.0.24

* Tue Jan  4 2005 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.54-2
- Update to 0.11.54
- fam disabled, fc3 uses gamin instead
- Added CFLAGS="$RPM_OPT_FLAGS"

* Tue Nov 09 2004 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.53-2
- Rebuild for Fedora Core 3

* Mon Nov 08 2004 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.53-2
- Update to 0.11.53
- Add gentoo-0.11.53-pomkinstalldirs.patch by Matthias Saou to fix build.

* Thu Jun 03 2004 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.51-2
- Update to 0.11.51
- Rebuild for Fedora Core 2

* Sat May 08 2004 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.50-2
- Update to 0.11.50

* Tue Dec 04 2003 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.45-2
- Update to 0.11.45

* Wed Nov 19 2003 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.43-2
- Update to 0.11.43

* Wed Nov 19 2003 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.42-2
- Update to 0.11.42
- Icon added

* Tue Nov 18 2003 Matthias Haase <matthias_haase@bennewitz.com> - 0.11.40-2
- Update to 0.11.40
- Comment fixed

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> - 0.11.39-2.fr
- Rebuild for Fedora Core 1.

* Thu Oct 30 2003 Matthias Saou <http://freshrpms.net/> - 0.11.39-1.fr
- Update to 0.11.39.

* Mon Oct 27 2003 Matthias Saou <http://freshrpms.net/> - 0.11.38-1.fr
- Update to 0.11.38.

* Tue Oct 21 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.37.

* Fri Oct  3 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.35.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Sun Sep 29 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.

* Mon Sep  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.34.

* Mon Aug 26 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.32.

* Mon Aug 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.31.

* Mon Jul 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.30.

* Fri Jul 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.29.

* Thu Jul 18 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.28.
- Added the lang stuff.

* Tue Jun 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.27.

* Mon Jun 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.26.

* Wed Jun  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.25.

* Tue Apr  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.23.

* Thu Mar 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.22.

* Sun Feb 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.21.

* Fri Feb 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.20.

* Mon Feb 11 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.19.

* Mon Oct 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.18.

* Mon Aug 27 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.17.
- The sources are now much cleaner, so hacks were removed from the spec.

* Thu Jul  5 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.11.16.
- Spec file cleanup for Red Hat 7.1.

* Fri Sep 15 2000 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.11.15-1]
- Definition of demonstration SelectRE-work-a-like button command
  changed, since it was broken. Also added glob check button.
- Lack of internal quoting caused Dir{To,From}Other to fail on
  paths containing spaces, as did the shortcuts. Fixed.
- Changed appearance of check buttons {Ix} input dialog codes.
- Having lurked among the giants of comp.lang.c for at least five
  years, I finally realized that identifiers whose names begin
  with an underscore immediately followed by an upper case letter
  are reserved for the implementation. Since I, for some historical
  reason, tend to use structure tags formed like that, gentoo was
  very much in violation of the holy scripture of ISO C. This has
  now been fixed, of course (except in widgets/). Feels good. :)
- Being urged on by a Brazilian gentoo user, Alceu Rodrigues de
  Freitas Junior, I caved in and went through the code, marking
  all strings suitable for translation using gettext. A translation
  to my own mother tongue, Swedish, is included in the locale/sv/
  directory. gentoo's I18N support is very early, and by default
  it will not build with it included. I need help with autoconfig
  before doing that.
- Capped the percentage number in the textviewer at 100%. :)
- Left-adjusted the filename in the progress window. :)
- Improved behavior when an operation (such as Copy or Move) is
  cancelled. Previously, it was not possible to correctly cancel
  if the files being copied were smaller than the copy buffer
  size, and the 'keep full-sized copy on error?' flag was on.
- A long operation can now be cancelled by simply closing the
  progress-reporting window.
- Made parsing of {Fup} (among other things, hopefully) work
  better when 'treat focus as selection?' flag is on. Sneaky.
- Test-compiled against glib and GTK+ version 1.2.8. Went fine.
- Fixed buglet that prevented modes (aka permissions) from being
  formatted correctly. Reported by Erik Johansson.
- Banged a bit on the page up/down response for the focus bar.
  Way less ugly implementation, and (I think) better behavior
  now. Still wish GTK+ permitted use of it's built-in focusing
  bar, though. :(
- Updated to the latest version (0.5) of Johan Hanson's
  odemilbutton widget.

* Wed Apr 19 2000 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.11.14-3]
- Doh!. Was not setting default icon path in default gentoorc. Fixed.
  Thanks Udo K. Schuermann <walrus@ringlord.com>.

* Mon Apr 17 2000 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.11.14-1]
- Added support for extracting tar.gz, tar.bz2, and zip files to
  the example config. Select archive, right click, then choose
  the "extract" item in the "File Action" submenu.
- Due to an internal quoting problem, MkDir would fail to enter
  the created directory if the name contained spaces. Fixed.
- The Makefile no longer attempts to create a backup of the config,
  and only installs the supplied example if no old config exists.
- The ChOwn command now uses combo boxes rather than menus to
  display the system data, and also allows you to type in a
  user and/or group number or name directly. Way nicer.
- Brought back the 'grab' button in the window pos/size config,
  but only for the main window. Should make a few users happy. :)
- Altered the huge parent buttons' relief style; they now look
  more like wide borders, which JH and I find less distracting.
- Added an option (hidden away in the Command Options page,
  DpFocus tab) that makes gentoo move the focus row to the last
  row selected using the mouse. Only works if focusing is on.
- The MenuPopup command can now be bound to a keyboard key, just
  like any other command. Previously, it could only be bound to
  a mouse button. Bound to Ctrl+Space in example config.
- Added Ctrl+A and Shift+Ctrl+A as keyboard shortcuts for the
  [Select] All and None commands, respectively. :)
- Improved ANSI compliance by removing use of "str" as a prefix
  in function names. :)
- A pane's contents can now be sorted on any content type, not
  just those that are displayed. There is currently no way of
  changing to a non-displayed type without opening the config
  window, though.
- Touched up the sorting code somewhat, and while doing that
  noted that user and group names could not actually be sorted
  on as text. They sure can now.
- Fixed horrible bug in the {}-code parsing and handling, that
  made gentoo segfault when certain sequences of commands were
  run. Reported by T. Tilton.

* Mon Mar 20 2000 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.11.13-1]
- Fixed incredibly stupid bug (reported by plenty of people, it's
  nice to know people care :) which prevented the text viewer
  window from closing when it should. It's a two-line fix.
- If you enable the "System Default" Control key mode in the
  dirpane config, it will now work.
- There was some broken logic related to quitting and the dialog
  that asks about saving changed configs. Fixed that, and also
  cleaned up the code significantly, removing duplicate stuff.

* Mon Mar  6 2000 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.11.12-1]
- I'm reasonably sure I fixed a bug which caused a crash if you
  hit enter after entering an *empty* directory using the key-
  board-controlled focusing mechanism.
- Added support for tall, thin, parent buttons along the outer
  edges in the panes. Enable through the "Huge Parent Button?"
  checkbox in the config. The position and action of these is
  currently not configurable; it's always outer edge & DirParent.
- Incorporated alternative implementation of the GtkLabel widget
  provided by Johan Hanson. This label implementation is only used
  for the status line in the top of the window, which reportedly
  had refresh-problems with some pixmap-based GTK+ themes.
- Redid the code for the textviewer, which was very old and some-
  what confused. This might make it support mouse wheel scrolling
  better. Since I don't have a wheelie mouse, I can't test it...
- Fixed tiny bug which caused GTK+ warnings if you hit TAB in the
  command selection dialog without having typed anything first.
- Implemented a Join command, to counter the (still incomplete)
  Split command. Pretty neat, with DnD reordering.
- gentoo can now optionally ignore the state of the NumLock key
  when parsing keyboard and mouse input. Enable the check button
  in the bottom of the Controls config page. Note that only the
  input event is filtered, not the definition (do not use NumLock
  in actual mappings with this flag on).
- New version of the odscrolledbox widget, provided by Johan
  Hanson as always. Should fix some smudgy redrawing problems.
- Brought the (c) in the About box into the 21th century, added
  acknowledgement (and mail address) of Johan Hanson's work.
- Added recognition and viewing of LHa compressed files to the
  example config. Requires the 'lha' external command.
- gentoo can now remember the position and size of the config and
  textviewer windows, in addition to the main window. See config
  page labeled "Windows" (was "Pos & Size" previously). Eh, also
  see the BUGS file, since this feature has a few problems still. :(
- Tweaked code that dealt with 64-bit stuff; gentoo should now
  compile better on Linux/Alpha platforms.
- Selected content in the right-hand list in the Dirpane config
  page can now be reordered directly, by dragging. You can still
  use the up/down buttons below the list, like always.
- Er, not a fix per se, but this version of gentoo has been
  compiled and executed using GTK+ 1.2.7. No extensive tests,
  though.

* Mon Nov 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.11.11-1]
- Tweaked the FileAction command slightly: now it will stop running
  the action if the selection is empty. This helps when you run a
  command containing e.g. a {Fu} code on more than one file, since
  it will then just run the command once, then stop since the {Fu}
  "consumed" the entire selection. Hopefully this is not a bad thing.
- The GetSize command no longer loses track of the pane's vertical
  position.
- The pane centering on startup was changed back to the pre-0.11.10
  behavior, since the "fix" didn't help the user who reported the
  problem. Weird.
- Rewrote core file copying routine, used by Copy, CopyAs, Move,
  and other commands. It now handles "magic" files whose length
  looks like zero (like most files in the /proc filesystem). It's
  also shorter, simpler, and possibly a tiny bit faster.
- Fixed semi-obscure bug in the Split command; it wouldn't close
  output files on failed writes. Oops.
- In an attack of POSIX panic, I removed all my symbols whose names
  ended in _MAX, leaving only standard ones. Touched ~130 places.
- The SelectRE command now lets you chose what column content you
  wish to match against. This is sometimes useful, for example you
  could use the following command to select all rows whose files
  have an odd size: 'SelectRE glob=0 full=0 content=size [13579]$'.
     See "docs/scratch/command_args.txt" for a brief table of
  content names.
- Removed all uses of stdlib's malloc() & free(), replacing them
  with glib's g_XXX work-alikes, making the code more consistent.
- Added tooltips to the pane control widgets (the parent button,
  the path entry field, and the cryptic 'H' hide button).
- RTFM:ed a bit, and fixed example config's "view_man" command to
  stop emitting control codes for bold and underline. This makes
  it work better with gentoo's viewer. Unsure about portability.
- Added type, style, and view support for AVI and MPEG video clips
  to the example config. Both use 'xanim' for view. Untested. Also
  added support for IFF-ILBM bitmap images, through 'xv' as always.
- Added a new command, DpFocusPath, which moves GTK+'s input focus
  to the current pane's path entry box. Bound to shift+Return in
  the example config. Call with select=1 to select contents, too.
- Fixed buglet which made it annoying to bind commands to Return,
  since the config window's default button ("OK") would trigger.

* Tue Nov  9 1999 Ryan Weaver <ryanw@infohwy.com>
  [gentoo-0.11.10-1]
- Got mail from Jesse Perry <jap@unx.dec.com>, reporting problems
  building gentoo on an Alpha, running Tru64. Luckily, the report
  (and followups) included lots of detail and helpful hints, so I
  went over the offending code. Hopefully it works now.
- I still got the expand/collapse tracking in the Styles config
  page wrong. <HOMER>Duh!</HOMER> Fixed again. This time, for sure!
- Wrote a new command, RenameRE. It provides two ways of doing search
  and replace over selected file names, and then renaming the files.
  Learn about in "docs/scratch/renamere.txt". Recommended reading!
- Fixed bug which prevented an error from the Rename command (and
  others, no doubt) from showing up.
- Did a long-overdue, minimal, change in the way the active pane gets
  hilighted, now uses Johan Hanson's code in "colorutil.c". Should
  work better if you're running a themed GTK+.
- Pressing return after entering a path name now causes that path
  to be entered, instead of (uselessly) popping up the combo menu
  showing directory history. Oops.
- When running a command bound to a key, the key press signal is
  no longer propagated to GTK+; gentoo consumes it. This makes things
  work better when you bind stuff to e.g. cursor keys, which are
  used by GTK+ to control focus. A neat one-line fix.
- The 'view_tar_bzip2' command in the example config has been made
  more portable (uses --use-compress-prog=bzip2 rather than -y).
- If you attempt to DirRescan a directory which no longer exists,
  you will get an informative message. Better than silence.
- Included a new icons package from Johan Hanson (<johan@tiq.com>).
  There are around 20 new icons, including a very cute Commodore
  logo for SID music files! Check them out in the icons/ subdir!
- Fixed a portability problem in dirpane.c; a reference to strncmp().
- Upgraded my home development machine to GTK+/glib 1.2.6, which
  went fairly smooth. It exposed a bug in the config GUI, though.
- The centering of the panes is now done later during startup,
  since one user reported problems with it. This is too bad, since
  it now looks kind of worse during startup. :(

